org.apache.catalina.ant

## Class JKStatusUpdateTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.catalina.ant.BaseRedirectorHelperTask
      - - org.apache.catalina.ant.AbstractCatalinaTask
        - - org.apache.catalina.ant.JKStatusUpdateTask

- All Implemented Interfaces:
    Cloneable

      public class JKStatusUpdateTask
      extends AbstractCatalinaTask

  Ant task that implements the `/status` command, supported by the mod_jk status (1.2.9) application.
  Since:
    5.5.9
  Author:
    Peter Rossbach

- - ### Field Summary

    - ### Fields inherited from class org.apache.catalina.ant.AbstractCatalinaTask

      `charset, ignoreResponseConstraint, password, url, username`

    - ### Fields inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask

      `alwaysLog, failOnError, redirectErrStream, redirector, redirectorConfigured, redirectorElement, redirectOutput, redirectOutStream`

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JKStatusUpdateTask()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkParameter()` check correct lb and worker parameter
    `void` | `execute()` Execute the requested operation.
    `int` | `getInternalid()`
    `Boolean` | `getLbForceSession()`
    `Integer` | `getLbRecovertime()`
    `Integer` | `getLbRetries()`
    `Boolean` | `getLbStickySession()`
    `String` | `getWorker()`
    `String` | `getWorkerClusterDomain()`
    `Boolean` | `getWorkerDisabled()`
    `String` | `getWorkerLb()`
    `Integer` | `getWorkerLoadFactor()`
    `String` | `getWorkerRedirect()`
    `Boolean` | `getWorkerStopped()`
    `String` | `getWorkerType()`
    `void` | `setInternalid(int internalid)`
    `void` | `setLbForceSession(Boolean lbForceSession)`
    `void` | `setLbRecovertime(Integer lbRecovertime)`
    `void` | `setLbRetries(Integer lbRetries)`
    `void` | `setLbStickySession(Boolean lbStickySession)`
    `void` | `setWorker(String worker)`
    `void` | `setWorkerClusterDomain(String workerClusterDomain)`
    `void` | `setWorkerDisabled(Boolean workerDisabled)`
    `void` | `setWorkerLb(String workerLb)`
    `void` | `setWorkerLoadFactor(Integer workerLoadFactor)`
    `void` | `setWorkerRedirect(String workerRedirect)`
    `void` | `setWorkerStopped(Boolean workerStopped)`
    `void` | `setWorkerType(String workerType)`

    - ### Methods inherited from class org.apache.catalina.ant.AbstractCatalinaTask

      `execute, execute, getCharset, getPassword, getUrl, getUsername, isIgnoreResponseConstraint, setCharset, setIgnoreResponseConstraint, setPassword, setUrl, setUsername`

    - ### Methods inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask

      `addConfiguredRedirector, closeRedirector, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, handleOutput, isFailOnError, openRedirector, setAlwaysLog, setAppend, setCreateEmptyFiles, setError, setErrorProperty, setFailonerror, setLogError, setOutput, setOutputproperty`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleInput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JKStatusUpdateTask

          public JKStatusUpdateTask()

  - ### Method Detail

    - #### getInternalid

          public int getInternalid()

      Returns:
        Returns the internalid.

    - #### setInternalid

          public void setInternalid(int internalid)

      Parameters:
        `internalid` - The internalid to set.

    - #### getLbForceSession

          public Boolean getLbForceSession()

      Returns:
        Returns the lbForceSession.

    - #### setLbForceSession

          public void setLbForceSession(Boolean lbForceSession)

      Parameters:
        `lbForceSession` - The lbForceSession to set.

    - #### getLbRecovertime

          public Integer getLbRecovertime()

      Returns:
        Returns the lbRecovertime.

    - #### setLbRecovertime

          public void setLbRecovertime(Integer lbRecovertime)

      Parameters:
        `lbRecovertime` - The lbRecovertime to set.

    - #### getLbRetries

          public Integer getLbRetries()

      Returns:
        Returns the lbRetries.

    - #### setLbRetries

          public void setLbRetries(Integer lbRetries)

      Parameters:
        `lbRetries` - The lbRetries to set.

    - #### getLbStickySession

          public Boolean getLbStickySession()

      Returns:
        Returns the lbStickySession.

    - #### setLbStickySession

          public void setLbStickySession(Boolean lbStickySession)

      Parameters:
        `lbStickySession` - The lbStickySession to set.

    - #### getWorker

          public String getWorker()

      Returns:
        Returns the worker.

    - #### setWorker

          public void setWorker(String worker)

      Parameters:
        `worker` - The worker to set.

    - #### getWorkerType

          public String getWorkerType()

      Returns:
        Returns the workerType.

    - #### setWorkerType

          public void setWorkerType(String workerType)

      Parameters:
        `workerType` - The workerType to set.

    - #### getWorkerLb

          public String getWorkerLb()

      Returns:
        Returns the workerLb.

    - #### setWorkerLb

          public void setWorkerLb(String workerLb)

      Parameters:
        `workerLb` - The workerLb to set.

    - #### getWorkerClusterDomain

          public String getWorkerClusterDomain()

      Returns:
        Returns the workerClusterDomain.

    - #### setWorkerClusterDomain

          public void setWorkerClusterDomain(String workerClusterDomain)

      Parameters:
        `workerClusterDomain` - The workerClusterDomain to set.

    - #### getWorkerDisabled

          public Boolean getWorkerDisabled()

      Returns:
        Returns the workerDisabled.

    - #### setWorkerDisabled

          public void setWorkerDisabled(Boolean workerDisabled)

      Parameters:
        `workerDisabled` - The workerDisabled to set.

    - #### getWorkerStopped

          public Boolean getWorkerStopped()

      Returns:
        Returns the workerStopped.

    - #### setWorkerStopped

          public void setWorkerStopped(Boolean workerStopped)

      Parameters:
        `workerStopped` - The workerStopped to set.

    - #### getWorkerLoadFactor

          public Integer getWorkerLoadFactor()

      Returns:
        Returns the workerLoadFactor.

    - #### setWorkerLoadFactor

          public void setWorkerLoadFactor(Integer workerLoadFactor)

      Parameters:
        `workerLoadFactor` - The workerLoadFactor to set.

    - #### getWorkerRedirect

          public String getWorkerRedirect()

      Returns:
        Returns the workerRedirect.

    - #### setWorkerRedirect

          public void setWorkerRedirect(String workerRedirect)

      Parameters:
        `workerRedirect` - The workerRedirect to set.

    - #### execute

          public void execute()
                       throws org.apache.tools.ant.BuildException

      Execute the requested operation.
      Overrides:
        `execute` in class `AbstractCatalinaTask`
      Throws:
        `org.apache.tools.ant.BuildException` - if an error occurs

    - #### checkParameter

          protected void checkParameter()

      check correct lb and worker parameter

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.